Tracira
API referenceLogs

List logs

Supports webhook-token auth for integrations and session auth for the dashboard. The response key is `executions` for backwards compatibility, but the records are logs.

GET
/api/logs

Authorization

AuthorizationBearer <token>

Workspace webhook token from Settings -> Integrations.

In: header

Query Parameters

pending?boolean

When true, only returns undecided flagged or error logs.

status?string
Value in"pending" | "pass" | "flagged" | "error"
project?string
task?string
sessionId?string
subjectId?string
actorId?string
q?string

Searches project, task, model, session, subject, and actor fields.

tags?string

Comma-separated tag list.

from?string
Formatdate-time
to?string
Formatdate-time
sortBy?string
Value in"timestamp" | "projectName" | "model" | "status" | "latencyMs" | "costUsd"
sortDir?string
Value in"asc" | "desc"
page?integer
Range1 <= value
limit?integer
Range1 <= value <= 100

Response Body

application/json

application/json

curl -X GET "https://example.com/api/logs"
{
  "executions": [
    {
      "id": "string",
      "timestamp": "2019-08-24T14:15:22Z",
      "projectId": "string",
      "projectName": "string",
      "taskName": "string",
      "sessionId": "string",
      "subjectId": "string",
      "actorId": "string",
      "model": "string",
      "status": "pending",
      "latencyMs": 0,
      "costUsd": 0,
      "verdict": "pass",
      "confidenceScore": 0,
      "humanDecision": "approved",
      "decidedAt": "2019-08-24T14:15:22Z",
      "decidedBy": "string",
      "decisionSource": "string",
      "callbackUrl": "string",
      "metadata": {},
      "tags": [
        "string"
      ],
      "input": "string",
      "output": "string",
      "explanation": "string",
      "sessionTurnCount": 0
    }
  ],
  "total": 0,
  "page": 0,
  "limit": 0,
  "summary": {
    "totalRuns": 0,
    "failuresDetected": 0,
    "pendingReviews": 0,
    "successRate": 0
  }
}
{
  "error": "string",
  "code": "string",
  "fields": {
    "property1": "string",
    "property2": "string"
  }
}